Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class InteractionSpecImpl

    java.lang.Object
      |
      +--com.bea.adapter.cci.InteractionSpecImpl

Direct Known Subclasses:
  DesignTimeInteractionSpecImpl, DocumentInteractionSpecImpl

public class InteractionSpecImpl
extends java.lang.Object
implements javax.resource.cci.InteractionSpec, java.beans.VetoableChangeListener, java.beans.PropertyChangeListener

Encapsulates properties for driving an `Interaction` with an EIS instance. Provides a base implementation for adapter providers to extend. Provides getters and setters for the standard properties (function name, verb, and timeout) defined by the J2EE Connector Architecture specification pg. 115. Provides helper methods for implementing the getters and setters according to the JavaBeans design pattern.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`InteractionSpecImpl()`
`InteractionSpecImpl(java.lang.String strFunctionName)`
`InteractionSpecImpl(java.lang.String strFunctionName, int iVerb, int iTimeOut)`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)` To support JavaBeans constrained properties
`void` | `addVetoableChangeListener(java.beans.VetoableChangeListener l)` To support JavaBeans constrained properties
`protected void` | `fireChangeEvent(java.lang.String strProperty, java.lang.Object objOldValue, java.lang.Object objNewValue)` Fires a vetoable property change event to all registered VetoableChangeListeners and a property change event to all registered PropertyChangeListeners if the change was not vetoed.
`int` | `getExecutionTimeout()` Retrieves the number of milliseconds an `Interaction` waits for an EIS to execute the specified function.
`java.lang.String` | `getFunctionName()` Retrieves an EIS function name, such as the name of a transaction program in a CICS system or the name of a function module in an ERP system.
`int` | `getInteractionVerb()` Retrieves an integer representing the mode of interaction with an EIS instance.
`java.lang.String` | `getInteractionVerbAsStr()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` Handles a property change; subclasses should override this method to supply their own handling of property change events, as this method is no-op.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)` To support JavaBeans constrained properties
`void` | `removeVetoableChangeListener(java.beans.VetoableChangeListener l)` To support JavaBeans constrained properties
`void` | `setExecutionTimeout(int iTimeout)` Sets the execution timeout for this
`void` | `setFunctionName(java.lang.String strFunctionName)` Sets the function name for this interaction spec
`void` | `setInteractionVerb(int iVerb)` Sets the interaction verb for this
`java.lang.String` | `toString()`
`void` | `vetoableChange(java.beans.PropertyChangeEvent evt)` Verifies if the given property change is valid; subclasses should over-ride this method to supply their own validation as this implementation is no-op.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InteractionSpecImpl

    public InteractionSpecImpl()

### InteractionSpecImpl

    public InteractionSpecImpl(java.lang.String strFunctionName)
                        throws javax.resource.ResourceException

### InteractionSpecImpl

    public InteractionSpecImpl(java.lang.String strFunctionName,
                               int iVerb,
                               int iTimeOut)
                        throws javax.resource.ResourceException

Method Detail

### getExecutionTimeout

    public int getExecutionTimeout()

  Retrieves the number of milliseconds an `Interaction` waits for an EIS to execute the specified function. Set to -1 by default.

  Returns:
    the execution timeout for this interaction spec.

### getFunctionName

    public java.lang.String getFunctionName()

  Retrieves an EIS function name, such as the name of a transaction program in a CICS system or the name of a function module in an ERP system.

  Returns:
    the function name

### getInteractionVerb

    public int getInteractionVerb()

  Retrieves an integer representing the mode of interaction with an EIS instance. Possible values are:
  - SYNC_SEND: the execution of an `Interaction` does only a send to the target EIS. The input record is sent to the EIS instance without any synchronous response in terms of an output `Record`
  - SYNC_SEND_RECEIVE: the execution of an `Interaction` sends a request to the EIS instance and receives response synchronously. This is the default.
  - SYNC_RECEIVE: the execution of an `Interaction` results in a synchronous receive of an output `Record`.

  Returns:
    the

### getInteractionVerbAsStr

    public java.lang.String getInteractionVerbAsStr()

  Returns:
    the interaction verb as a string

### setFunctionName

    public void setFunctionName(java.lang.String strFunctionName)
                         throws javax.resource.ResourceException

  Sets the function name for this interaction spec

  Throws:
    javax.resource.ResourceException - if the new property value was vetoed by a registered listener

### setInteractionVerb

    public void setInteractionVerb(int iVerb)
                            throws javax.resource.ResourceException

  Sets the interaction verb for this

  Throws:
    javax.resource.ResourceException - if the new property value was vetoed by a registered listener

### setExecutionTimeout

    public void setExecutionTimeout(int iTimeout)
                             throws javax.resource.ResourceException

  Sets the execution timeout for this

  Throws:
    javax.resource.ResourceException - if the new property value was vetoed by a registered listener

### toString

    public java.lang.String toString()

  Returns:
    a String representation of this instance; provides the function name, interaction verb, and execution timeout as a comma-delimited list
  Overrides:
    toString in class java.lang.Object

### fireChangeEvent

    protected void fireChangeEvent(java.lang.String strProperty,
                                   java.lang.Object objOldValue,
                                   java.lang.Object objNewValue)
                            throws javax.resource.ResourceException

  Fires a vetoable property change event to all registered VetoableChangeListeners and a property change event to all registered PropertyChangeListeners if the change was not vetoed.

  Throws:
    javax.resource.ResourceException - if the new property value was vetoed by a registered listener

### vetoableChange

    public void vetoableChange(java.beans.PropertyChangeEvent evt)
                        throws java.beans.PropertyVetoException

  Verifies if the given property change is valid; subclasses should over-ride this method to supply their own validation as this implementation is no-op.
  Specified by:
    vetoableChange in interface java.beans.VetoableChangeListener

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Handles a property change; subclasses should override this method to supply their own handling of property change events, as this method is no-op.
  Specified by:
    propertyChange in interface java.beans.PropertyChangeListener

### addVetoableChangeListener

    public void addVetoableChangeListener(java.beans.VetoableChangeListener l)

  To support JavaBeans constrained properties

### removeVetoableChangeListener

    public void removeVetoableChangeListener(java.beans.VetoableChangeListener l)

  To support JavaBeans constrained properties

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  To support JavaBeans constrained properties

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

  To support JavaBeans constrained properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)